Index: general/prog/jdk/j2sdk-inst.xml
===================================================================
--- general/prog/jdk/j2sdk-inst.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ general/prog/jdk/j2sdk-inst.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -60,5 +60,5 @@
 cd ../.. &amp;&amp;
 cd control/build/linux-i?86 &amp;&amp;
-cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version; &amp;&amp;</userinput></screen></para>
+cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version;</userinput></screen></para>
 
 </sect2>
Index: general/prog/jdk/j2sdk.ent
===================================================================
--- general/prog/jdk/j2sdk.ent	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ general/prog/jdk/j2sdk.ent	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -11,4 +11,4 @@
 <!ENTITY j2sdk-src-version "1.4.1">
 <!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
+<!ENTITY j2sdk-time "169.12 SBU">
 
-
Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ gnome/gnome-intro.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -24,5 +24,5 @@
 pre-installation page.</para>
 
-<para>If you choose the second option, removal of Gnome-2.2 is as easy as removing the edits from the pre-installation page and issue the following commands:
+<para>If you choose the second option, removal of Gnome-2.2 is as easy as removing the edits from the pre-installation page and issue the following command:
 <screen><userinput>rm /opt/gnome-&gnome-version; -r </userinput></screen></para>
 
@@ -53,11 +53,9 @@
 
 <para><screen>Gnome-&gnome-version; requires:
-<xref linkend="xfree86"/>, Xft, fontconfig, <xref linkend="GTK2"/>,
-<xref linkend="libpng"/>, <xref linkend="libjpeg"/>, 
-<xref linkend="libtiff"/>, <xref linkend="popt"/>
+<xref linkend="xfree86"/>, Xft, fontconfig, <xref linkend="GTK2"/>, <xref linkend="libpng"/>, 
+<xref linkend="libjpeg"/>, <xref linkend="libtiff"/>, <xref linkend="popt"/>
 Gnome-&gnome-version; will utilize:
-<xref linkend="libxml2"/>, <xref linkend="libxslt"/>, 
-<xref linkend="DocBook"/>, <xref linkend="docbook-xsl"/> and 
-<xref linkend="libfam"/></screen></para>
+<xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref linkend="DocBook"/>, 
+<xref linkend="docbook-xsl"/> and <xref linkend="libfam"/></screen></para>
 
 </partintro>
Index: index.xml
===================================================================
--- index.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ index.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030221">
-<!ENTITY releasedate "February 21st, 2003">
+<!ENTITY version "20030222">
+<!ENTITY releasedate "February 22nd, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ introduction/welcome/changelog.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 22nd, 2003 [larry]: PST: Updated to
+LPRng-3.8.20.</para></listitem>
 
 <listitem><para>February 21st, 2003 [larry]: Multimedia: updated to
Index: pst/printing/lprng/lprng-config.xml
===================================================================
--- pst/printing/lprng/lprng-config.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ pst/printing/lprng/lprng-config.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -13,4 +13,55 @@
 <ulink url="http://www.lprng.org"/> and <ulink
 url="http://www.linuxprinting.org"/>.</para> 
+
+<para>The init script installed by LPRng is not consistent with BLFS
+scripts; therefore, we will create a new one with the following
+commands:</para>
+
+<para><screen><userinput>mv /etc/rc.d/init.d/lpd /etc/rc.d/init.d/lpd.orig &amp;&amp;
+cat &gt; /etc/rc.d/init.d/lpd &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin $rc_base/init.d/lpd
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+        start)
+                echo "Starting lpd..."
+                loadproc /usr/sbin/lpd
+                ;;
+
+        stop)
+                echo "Stopping lpd..."
+                killproc /usr/sbin/lpd
+                ;;
+
+        reload)
+                echo "Reloading lpd..."
+                reloadproc /usr/sbin/lpd
+                ;;
+
+        restart)
+                $0 stop
+                sleep 1
+                $0 start
+                ;;
+
+        status)
+                statusproc /usr/sbin/lpd
+                ;;
+
+        *)
+                echo "Usage: $0 {start|stop|reload|restart|status}"
+                exit 1
+                ;;
+esac
+
+# End $rc_base/init.d/lpd
+<userinput>EOF
+chmod 755 /etc/rc.d/init.d/lpd</userinput></screen></para>
 
 <para>Create the symbolic links to the lprng init script in the relevant
Index: pst/printing/lprng/lprng-intro.xml
===================================================================
--- pst/printing/lprng/lprng-intro.xml	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ pst/printing/lprng/lprng-intro.xml	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -6,5 +6,6 @@
 Version used:                   &LPRng-version;
 Package size:                   &LPRng-size;
-Estimated Disk space required:  &LPRng-buildsize;</screen>
+Estimated Disk space required:  &LPRng-buildsize;
+Estimated build time:           &LPRng-time;</screen>
 
 <para>The LPRng package contains an enhanced, extended and portable
Index: pst/printing/lprng/lprng.ent
===================================================================
--- pst/printing/lprng/lprng.ent	(revision dddd897b7ca4da68e9e101af8f94034ca1c25e65)
+++ pst/printing/lprng/lprng.ent	(revision 1f77bc86f6a6f57524896a452fc250c1ca950d8b)
@@ -5,7 +5,8 @@
 <!ENTITY LPRng-desc SYSTEM "lprng-desc.xml">
 <!ENTITY LPRng-config SYSTEM "lprng-config.xml">
-<!ENTITY LPRng-buildsize "43.3 MB">
-<!ENTITY LPRng-version "3.8.19">
-<!ENTITY LPRng-download-http "http://www.lprng.com/DISTRIB/LPRng/LPRng-3.8.19.tgz">
-<!ENTITY LPRng-download-ftp "ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-3.8.19.tgz">
-<!ENTITY LPRng-size "9 MB">
+<!ENTITY LPRng-buildsize "46.2 MB">
+<!ENTITY LPRng-version "3.8.20">
+<!ENTITY LPRng-download-http "http://www.lprng.com/DISTRIB/LPRng/LPRng-&LPRng-version;.tgz">
+<!ENTITY LPRng-download-ftp "ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-&LPRng-version;.tgz">
+<!ENTITY LPRng-size "9.6 MB">
+<!ENTITY LPRng-time "0.70 SBU">
